package com.syaroful.agrilinkvocpro

import android.app.Application
import com.syaroful.agrilinkvocpro.di.appModule
import com.syaroful.agrilinkvocpro.di.dynamicFeatureModule
import com.syaroful.agrilinkvocpro.di.networkModule
import com.syaroful.agrilinkvocpro.di.viewModelModule
import org.koin.android.ext.koin.androidContext
import org.koin.core.context.GlobalContext.startKoin
import org.koin.core.logger.Level
import org.koin.core.logger.PrintLogger

class MyApplication : Application() {
    override fun onCreate() {
        super.onCreate()
        startKoin {
            logger(PrintLogger(Level.DEBUG))
            androidContext(this@MyApplication)
            modules(appModule, dynamicFeatureModule, networkModule, viewModelModule)
        }
    }
}